Package: org.grails.cli.profile.commands.templates

## [Groovy] Class SimpleTemplate

- org.grails.cli.profile.commands.templates.SimpleTemplate

-     @groovy.transform.CompileStatic
      @groovy.transform.Immutable
      class SimpleTemplate
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `template` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.String` | `template`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleTemplate ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `render(java.util.Map<java.lang.String, java.lang.String> variables)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.String template

  - ### Property Detail

    - #### java.lang.String template

  - ### Constructor Detail

    - #### SimpleTemplate()

  - ### Method Detail

    - #### java.lang.String render(java.util.Map<java.lang.String, java.lang.String> variables)